- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Typedefs | Functions
KEYObject.h File Reference
`#include <deque>`
`#include <boost/shared_ptr.hpp>`

Go to the source code of this file.

## Classes
class | libetonyek::KEYObject
| An interface for saved presentation objects. More...

## Namespaces
| libetonyek

## Typedefs
typedef boost::shared_ptr < KEYObject > | libetonyek::KEYObjectPtr_t
typedef std::deque < KEYObjectPtr_t > | libetonyek::KEYObjectList_t
| A list of presentation objects. More...

## Functions
void | libetonyek::drawAll (const KEYObjectList_t &list, const KEYOutput &output)
| Draw all objects of list using `output` as context. More...